# Top selling products

**Method: GET**

#### HTTP Request <a href="#http-request" id="http-request"></a>

```
https://api.accesstrade.vn/v1/top_products
```

The parameters are passed into HTTP Request according to Key-Value pairs, begin the parameters with the sign “?” and separate the parameters with the sign “&”. Ex:&#x20;

```
https://api.accesstrade.vn/v1/top_products?date_from=01-07-2020&date_to=20-07-2020
```

#### Query parameters <a href="#query-parameters" id="query-parameters"></a>

| Parameters | Required | Description                         |
| ---------- | -------- | ----------------------------------- |
| date\_from | Optional | Filter begin date, ex: ‘01-04-2016’ |
| date\_to   | Optional | Filter end date, ex: ‘01-01-2019’   |
| merchant   | Optional | Partner, ex: lazada                 |

#### Describe results <a href="#m-t-k-t-qu" id="m-t-k-t-qu"></a>

| Value          | Description                      |
| -------------- | -------------------------------- |
| category\_id   | Id of product category           |
| category\_name | Name of product category         |
| desc           | Description of product           |
| image          | Image of product                 |
| link           | Product link                     |
| aff\_link      | Affiliate link                   |
| price          | Price of product before discount |
| discount       | The amount of discount           |
| total          | Total amount of product          |
| name           | Name of product                  |
| product\_id    | Product ID                       |

#### Example (Use Postman tool to call API) <a href="#v-d-minh-h-a-d-ng-tool-postman-call-api" id="v-d-minh-h-a-d-ng-tool-postman-call-api"></a>

[![top\_products.png](http://docs.accesstrade.vn/publishers/images/topproduct.png)](https://drive.google.com/file/d/1Euarm8ZJhPCZZLzsah2JiFH4eHiedHL3/view?usp=sharing)

RESPONSE

```
{
    "data": [
        {
            "aff_link": "https://go.isclix.com/deep_link/4348611760548105593?url=https%3A%2F%2Ffado.vn%2Fus%2Famazon%2Frazor-turbo-jetts-electric-heel-wheels-red-B076WVGLXS.html%3Fm%3DAGYUU318PHJM6",
            "brand": "",
            "category_id": "",
            "category_name": "Sports & Outdoors",
            "desc": null,
            "discount": 2869795.0,
            "image": "https://images-na.ssl-images-amazon.com/images/I/81259FdCzzL.jpg",
            "link": "https://fado.vn/us/amazon/razor-turbo-jetts-electric-heel-wheels-red-B076WVGLXS.html?m=AGYUU318PHJM6",
            "name": "Razor Turbo Jetts Electric Heel Wheels - Red",
            "price": 2869795.0,
            "product_category": "FADOTREN2000000",
            "product_id": "B076WVGLXS",
            "short_desc": null
        }
    ],
    "total": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.accesstrade.vn/api-accesstrade-tai-lieu-tich-hop/top-selling-products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
